收藏本站腾讯微博新浪微博

经典论坛

 找回密码
 注册

QQ登录

只需一步,快速开始

蓝色理想 最新研发动态 网站开通淘帖功能 - 蓝色理想插件 论坛内容导读一页看论坛 - 给官方提建议

论坛活动及任务 地图和邮件任务 请多用悬赏提问 热夏来袭,选一款蓝色理想的个性T恤吧!

手机上论坛,使用APP获得更好体验 急需前端攻城狮,获得内部推荐机会 论坛开通淘帖功能,收藏终于可以分类了!

搜索
查看: 1656|回复: 17

[.net] 1.1 和 2.0 共存的问题

[复制链接]
发表于 2007-6-12 16:00:24 | 显示全部楼层 |阅读模式
如题,我的是操作系统是2003 ,系统自带了1.1 ,我又装了2.0 ,现在我的asp.net页面都是运行在1.1上的,有什么办法可以让他运行在2.0上??
发表于 2007-6-12 16:01:57 | 显示全部楼层
站点属性里有个ASP.NET选项,在里面改
回复 支持 反对

使用道具 举报

发表于 2007-6-12 16:06:54 | 显示全部楼层
把IIS的ASP.net版本换成2.0就可以了。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2007-6-12 16:09:49 | 显示全部楼层
实在不好意思,没有找到,,
回复 支持 反对

使用道具 举报

发表于 2007-6-12 16:10:11 | 显示全部楼层
站点上右键选择-站点属性-选择-ASP.NET选项-选择ASP.NET版本
回复 支持 反对

使用道具 举报

 楼主| 发表于 2007-6-12 16:14:09 | 显示全部楼层
??哪里有ASP.NET选项??
回复 支持 反对

使用道具 举报

 楼主| 发表于 2007-6-12 16:16:23 | 显示全部楼层
找到了,不过ASP.NET那一栏是灰色的,不能改啊??
回复 支持 反对

使用道具 举报

发表于 2007-6-12 16:21:01 | 显示全部楼层
应该是个下拉菜单 如果只安装了2.0的话只有1个选项。
不会是你说的灰色的。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2007-6-12 16:23:22 | 显示全部楼层
绝无虚言,,
回复 支持 反对

使用道具 举报

发表于 2007-6-12 16:33:49 | 显示全部楼层

回复 #9 libinchristine 的帖子

应该是个下拉菜单,可以选择1.1还是2.0
回复 支持 反对

使用道具 举报

发表于 2007-6-12 16:57:25 | 显示全部楼层
{1A5297A8-97CC-429E-9E26-F0.gif
回复 支持 反对

使用道具 举报

 楼主| 发表于 2007-6-12 17:10:36 | 显示全部楼层
可是我的是这样的,,
1.jpg
回复 支持 反对

使用道具 举报

发表于 2007-6-12 17:23:12 | 显示全部楼层
你的2。0没装好,重新装一遍
回复 支持 反对

使用道具 举报

 楼主| 发表于 2007-6-12 17:35:12 | 显示全部楼层
如下图:
2.jpg
回复 支持 反对

使用道具 举报

发表于 2007-6-12 18:01:16 | 显示全部楼层
你的1.0版本的.net框架怎么会指向2.0的路径的?
回复 支持 反对

使用道具 举报

 楼主| 发表于 2007-6-13 08:28:54 | 显示全部楼层
这个问题问的好,我也很想知道啊,我装完 2.0 就是这个样子了,还有看下图:这样正常吗??
3.jpg
回复 支持 反对

使用道具 举报

发表于 2007-6-13 09:01:40 | 显示全部楼层
一般在2003上安装完后 会2个版本共存的

你现在的明显之有1.1版本的

重新安装看看
回复 支持 反对

使用道具 举报

发表于 2007-6-13 09:13:51 | 显示全部楼层
C:\WINDOWS\Microsoft.NET\Framework\ 下面应该有两个版本的文件夹,进2.0的文件夹。执行aspnet_regiis.exe -i
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

QQ|小黑屋|Archiver|手机版|blueidea.com ( 湘ICP备12001430号 )  

GMT+8, 2020-8-13 20:44 , Processed in 0.125662 second(s), 10 queries , Gzip On, Memcache On.

Powered by Discuz! X3.2 Licensed

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表